sailpoint.object

## Class Identity

- java.lang.Object
- - sailpoint.object.Identity

    public class Identity
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Identity()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Bundle` `getAssignedRole(java.lang.String id)`
`java.util.List<Bundle>` `getAssignedRoles()` Get a list of Bundle Objects of the assigned Roles of the Identity
`java.lang.Object` `getAttribute(java.lang.String name)` Get the attribute value given the name of the attribute
`Attributes<java.lang.String,java.lang.Object>` `getAttributes()`
`java.util.List<Bundle>` `getBundles()`
`java.lang.String` `getDisplayableName()`
`java.lang.String` `getDisplayName()` Get the display name of the Identity
`java.lang.String` `getEmail()` Get the email of the Identity
`java.lang.String` `getFirstname()` Get the first name of the Identity
`java.lang.String` `getFullName()` Get the full name of the Identity
`java.lang.String` `getId()` Get the calling Identity Id
`java.lang.String` `getLastname()` Get the last name of the Identity
`Link` `getLink(Application res)`
`java.util.List<Link>` `getLinks()` Get a list of links that the Identity is connected to
`Identity` `getManager()` Get's the calling Identities Manager Object
`boolean` `getManagerStatus()` Get true/false if the Identity is a manager
`java.lang.String` `getName()` Get the calling Identity name
`java.util.List<RoleAssignment>` `getRoleAssignments()`
`java.lang.String` `getStringAttribute(java.lang.String name)` Get the attribute value as a string given the name of the attribute on the Identity.
`java.lang.String` `getType()`
`boolean` `isCorrelated()`
`boolean` `isInactive()`
`java.lang.String` `toString()` Get the calling Identity as a string

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Identity

    public Identity()

### Method Detail

#### toString

    public java.lang.String toString()

Get the calling Identity as a string

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  The string representation of the Identity

#### getId

    public java.lang.String getId()

Get the calling Identity Id

Returns:
  The string Id of the Identity

#### getName

    public java.lang.String getName()

Get the calling Identity name

Returns:
  The string name of the Identity

#### getManager

    public Identity getManager()

Get's the calling Identities Manager Object

Returns:
  The manager's Identity Object

#### getManagerStatus

    public boolean getManagerStatus()

Get true/false if the Identity is a manager

Returns:
  true/false is the Identity a manager

#### getLinks

    public java.util.List<Link> getLinks()

Get a list of links that the Identity is connected to

Returns:
  List of Link Objects

#### getAssignedRoles

    public java.util.List<Bundle> getAssignedRoles()

Get a list of Bundle Objects of the assigned Roles of the Identity

Returns:
  List of Bundle Objects

#### getBundles

    public java.util.List<Bundle> getBundles()

#### getAttributes

    public Attributes<java.lang.String,java.lang.Object> getAttributes()

#### isCorrelated

    public boolean isCorrelated()

#### getFirstname

    public java.lang.String getFirstname()

Get the first name of the Identity

Returns:
  the first name as a String

#### getLastname

    public java.lang.String getLastname()

Get the last name of the Identity

Returns:
  the last name as a String

#### getFullName

    public java.lang.String getFullName()

Get the full name of the Identity

Returns:
  the full name as a String

#### getDisplayName

    public java.lang.String getDisplayName()

Get the display name of the Identity

Returns:
  the display name as a String

#### getDisplayableName

    public java.lang.String getDisplayableName()

#### getEmail

    public java.lang.String getEmail()

Get the email of the Identity

Returns:
  the email as a String

#### isInactive

    public boolean isInactive()

#### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

Get the attribute value given the name of the attribute

Parameters:
  `name` - The name of the attribute to get on an Identity. Examples include: manager, administrator, bundles, assignedRoles, capabilities, rights, workgroups, managerStatus, lastRefresh, correlated
Returns:
  the attribute Object

#### getStringAttribute

    public java.lang.String getStringAttribute(java.lang.String name)

Get the attribute value as a string given the name of the attribute on the Identity.

Parameters:
  `name` -
Returns:
  the attribute value as a string

#### getLink

    public Link getLink(Application res)

#### getAssignedRole

    public Bundle getAssignedRole(java.lang.String id)

#### getRoleAssignments

    public java.util.List<RoleAssignment> getRoleAssignments()

#### getType

    public java.lang.String getType()